package com.yonge.cooleshow.biz.dal.queryInfo;

import com.alibaba.fastjson.JSON;
import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;

/**
 * Description 用户领奖查询
 *
 * @author liujunchi
 * @date 2022-10-08
 */
public class UserRewardQueryInfo {

    // 用户id
    private Long userId;

    // 客户端类型
    private ClientEnum client;


    // 是否领取
    private YesOrNoEnum receive;
    public static UserRewardQueryInfo from(String recv) {

        return JSON.parseObject(recv, UserRewardQueryInfo.class);
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public ClientEnum getClient() {
        return client;
    }

    public void setClient(ClientEnum client) {
        this.client = client;
    }

    public YesOrNoEnum getReceive() {
        return receive;
    }

    public void setReceive(YesOrNoEnum receive) {
        this.receive = receive;
    }
}
